GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtProfileBufferAllocator Class Reference
Profile Buffer

Abstract class that provides interface for allocation (reservation) memory blocks in the profile buffer. More...

`#include <igt_profile_buffer.h>`

## Public Member Functions
virtual GtProfileBufferOffset | Allocate (uint32_t size, uint32_t alignment=64)=0
| Reserve space for a memory block of the specified size in the profile buffer.
virtual uint32_t | TotalSize () const =0
| Return total number of bytes, allocated (reserved) in the profile buffer so far.

## Detailed Description

Abstract class that provides interface for allocation (reservation) memory blocks in the profile buffer.

Availability:
  - IGtTool::OnKernelBuild

## Member Function Documentation

virtual GtProfileBufferOffset gtpin::IGtProfileBufferAllocator::Allocate | ( | uint32_t | size,
|  | uint32_t | alignment = `64`
| ) |  | `[pure virtual]`

Reserve space for a memory block of the specified size in the profile buffer.

Parameters:

  [in] | size | Size of the memory block in bytes
  [in] | alignment | Minimal alignment of the memory block. Must be power of two, not exceeding page size

Returns:
  Offset of the block allocated in the profile buffer, or -1 if allocation failed

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT